Name:              xmlsec1
Version:           1.2.25
Release:           7
Summary:           A C library based on LibXML2
License:           MIT
URL:               http://www.aleksey.com/xmlsec
Source0:           http://www.aleksey.com/xmlsec/download/xmlsec1-%{version}.tar.gz

# Path1 get from fedora
Patch1:            xmlSecOpenSSLX509DataNodeRead-error.patch
Patch6000:         fix-xmlSecParseMemory-memory-leak-issue-199-202.patch

BuildRequires:     pkgconfig(libxml-2.0) >= 2.8.0 pkgconfig(libxslt) >= 1.0.20  pkgconfig(openssl) >= 1.0.0
BuildRequires:     pkgconfig(nss) >= 3.11.1 pkgconfig(nspr) >= 4.4.1 libgcrypt-devel >= 1.4.0 libtool
BuildRequires:     pkgconfig(gnutls) >= 2.8.0 libtool-ltdl-devel autoconf automake gettext-devel

Provides:          xmlsec1-openssl xmlsec1-gcrypt xmlsec1-gnutls xmlsec1-nss
Obsoletes:         xmlsec1-openssl xmlsec1-gcrypt xmlsec1-gnutls xmlsec1-nss

%description
XMLSec library provides C based implementation for major XML Security standards. It is based on well known
LibXML, LibXSLT and OpenSSL libraries.

%package           devel
Summary:           Development required libraries
Requires:          %{name} = %{version}-%{release} openssl-devel >= 1.0.0

Provides:          xmlsec1-openssl-devel xmlsec1-gcrypt-devel xmlsec1-gnutls-devel xmlsec1-nss-devel
Obsoletes:         xmlsec1-openssl-devel xmlsec1-gcrypt-devel xmlsec1-gnutls-devel xmlsec1-nss-devel

%description       devel
This package contains the libraries and develop content for the xmlsec library.

%package_help

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --disable-static
%disable_rpath
%make_build V=1

sed 's+/lib64+/$archlib+g' < xmlsec1-config | sed 's+/lib+/$archlib+g' | sed 's+ -DXMLSEC_NO_SIZE_T++' > \
xmlsec1-config.$$ && mv xmlsec1-config.$$ xmlsec1-config

%install
%make_install

rm -rf __tmp_doc
install -d __tmp_doc
mv %{buildroot}%{_docdir}/xmlsec1/* __tmp_doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog NEWS README Copyright
%{_bindir}/xmlsec1

%{_libdir}/*.so.*
%exclude %{_libdir}/*.la

%files devel
%doc HACKING __tmp_doc/*
%{_bindir}/xmlsec1-config

%{_includedir}/xmlsec1/xmlsec/*

%{_libdir}/xmlsec1Conf.sh
%{_libdir}/pkgconfig/xmlsec1*.pc
%{_libdir}/*.so

%{_datadir}/aclocal/xmlsec1.m4

%files help
%{_mandir}/man1/*.1.*

%changelog
* Mon Dec 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2.25-7
- Fix xmlSecParseMemory() memory leak

* Thu Sep 19 2019 dongjian <dongjian13@huawei.com> - 1.2.25-6
- Package init
